All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.webdav
Interface DAVResourceInterface

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  DAVResource

    public interface DAVResourceInterface

extends java.rmi.Remote

Provides the interface for a DAV Resource. A DAVResource is a WebDAV (Distributed Authoring and Versioning) resource as specified in IETF RFC 2518.

Method Summary
`void` | `close()` Close the socket used for this connection.
`DAVResource` | `copy(java.lang.String targetUrl)` Copy resource to the target destination
`void` | `delete()` Delete the resource
`void` | `doCheckin()` Check in this resource.
`void` | `doCheckout()` Checks out this resource.
`void` | `doControl()` Puts the resource until version control.
`void` | `doLabel(int labelAction, java.lang.String label)` Modify the version label on the resource (if this is supported by the server).
`void` | `doUncheckout()` Uncheckout this resource, cancelling a previous checkout.
`boolean` | `exists()` Returns whether the resource exists or not
`com.sas.services.webdav.Acl` | `getAcl()` Get a the access control list for this resource.
`java.lang.String` | `getACL()` Get the Access Control List for this resource.
`org.apache.webdav.lib.Lock` | `getActiveLockFor(java.lang.String owner)` Get an active lock, if it exists, for the owner
`com.sas.services.webdav.Version` | `getCheckedIn()` Retrieves the currently checked in resource.
`com.sas.services.webdav.Version` | `getCheckedOut()` Retrieves the currently checked out resource.
`java.util.List` | `getChildrenList(java.lang.String path)` Get a list of children.
`byte[]` | `getContents()` Return the contents of the resource as a byte array
`void` | `getContents(java.io.File fileData)` Get the content of the resource into a file specified as the parameter
`java.lang.String` | `getContentsAsString()` Return the contents of the resource as a String
`java.io.InputStream` | `getContentsInputStream()` Return the content of the resource as a stream
`java.lang.String` | `getContentType()` Return the content type of the content for this resource
`java.util.Set` | `getCurrentUserPrivilegeSet()` Get a the current list of privileges this user has for this resource.
`int` | `getDepth()` Get the current depth value
`int` | `getExistsRequirement()`
`boolean` | `getOverwrite()` Get the overwrite flag - can this resource be overwritten
`java.lang.String` | `getPath()` Get the path for the WebDAV resource that is currently represented by this DAVResource
`java.util.List` | `getPreviousVersionNames()` Gets a list of previous version names for this resource.
`org.apache.webdav.lib.Property[]` | `getProperties()` Get the properties for the resource.
`org.apache.webdav.lib.Property[]` | `getProperties(org.w3c.dom.Element[] propNames)` Get the property values for the properties specified in the parameter
`org.apache.webdav.lib.Property[]` | `getProperties(PropertyName[] propNames)` Get the property values for the properties specified in the parameter
`org.apache.webdav.lib.Property[]` | `getProperties(java.lang.String propNames)` Returns a properties for a given set of property names.
`org.apache.webdav.lib.Property[]` | `getProperty(org.w3c.dom.Element propName)` Get the property values for the properties specified in the parameter
`org.apache.webdav.lib.Property[]` | `getProperty(PropertyName propName)` Get the property value for the property specified in the parameter
`org.apache.webdav.lib.Property[]` | `getProperty(java.lang.String propName)` Get the property value for the property specified in the parameter
`org.apache.webdav.lib.Property[]` | `getPropertyNames()` Get all the property names on the resource
`int` | `getStatusCode()` Get the status code for the last operation/method
`java.lang.String` | `getStatusMessage()` Get the message associated with the status code for the last operation/method
`com.sas.services.webdav.TreeNode` | `getSupportedPrivilegeSet()` Get a list of privileges that apply to this resource.
`java.lang.String` | `getTempDir()` Returns the current setting for the directory for temporary files
`java.net.URL` | `getURL()` Get the URL that the resource represents
`com.sas.services.webdav.Version` | `getVersion(java.lang.String versionName)` Gets a particular version of this resource
`boolean` | `isCollection()` Is this resource a collection?
`boolean` | `isLocked()` Is this resource locked?
`java.lang.String` | `lock()` Lock this resource
`boolean` | `makeCollection()` Make a collection.
`DAVResource` | `move(java.lang.String targetUrl)` Move this resource to the location given in the parameter
`void` | `removeProperties(org.w3c.dom.Element[] propNames)` Remove the properties specified in the parameter
`void` | `removeProperties(PropertyName[] propNames)` Remove the properties specified in the parameter
`void` | `removeProperty(org.w3c.dom.Element propName)` Remove the property specified in the parameter
`void` | `removeProperty(PropertyName propName)` Remove the property specified in the parameter
`void` | `removeProperty(java.lang.String propName)` Remove the property specified in the parameter
`org.apache.webdav.lib.Property[]` | `report(java.lang.String reportBody)` Run a report on the current resource.
`org.apache.webdav.lib.Property[]` | `search(org.w3c.dom.Element searchQuery)` Using the XML representation of the search query, perform the search on the server
`org.apache.webdav.lib.Property[]` | `search(java.lang.String searchString)` Using the search query provided as a string, perform the search on this server
`java.lang.String` | `setAcl(com.sas.services.webdav.Acl acl)` Set the access control list for this resource.
`java.lang.String` | `setACL(java.lang.String acl)` Set/Update the Access Control List for this resource.
`void` | `setContents(byte[] contents)` Set the contents of the resource, passing in a byte array
`void` | `setContents(java.io.InputStream is)` Set the contents of the resource from an input stream.
`void` | `setContents(java.lang.String content)` Set the contents of the resource, passing in a URL
`void` | `setContents(java.net.URL url)` Set the contents of the resource, passing in a URL
`void` | `setContentType(java.lang.String contentType)` Set the contents type for the content of the resource
`void` | `setCredentialsProvider(org.apache.commons.httpclient.auth.CredentialsProvider credentialsProvider)` Sets a credentials provider.
`void` | `setDepth(int depth)` Set the depth that will be used for the following operations DEPTH_0, DEPTH_1 and DEPTH_INFINITY from DepthSupport are valid values
`void` | `setEscapedPath(java.lang.String escapedPath)` Set the path for this resource using an escaped string.
`void` | `setExistsRequirement(int requirement)`
`void` | `setOverwrite(boolean overwrite)` Set the overwrite flag - can this resource be overwritten
`void` | `setPath(java.lang.String path)` Set the path for this resource.
`void` | `setPathNoAction(java.lang.String path)` Set the path for this resource.
`void` | `setProperties(org.w3c.dom.DocumentFragment props)` Set the values of properties, as given in the parameter
`void` | `setProperties(org.w3c.dom.Element[] props)` Set the values of properties, as given in the parameter
`void` | `setProperties(PropertyName[] propNames, java.lang.String[] props)` Set the values of properties, as given in the parameter
`void` | `setProperty(org.w3c.dom.Element prop)` Set the value of a property, as given in the parameter
`void` | `setProperty(PropertyName propName, java.lang.String prop)` Set the value of a property, as given in the parameter
`void` | `setSessionContext(java.lang.Object sessionContext)` Deprecated. This method is no longer useful.
`void` | `setTempDir(java.lang.String tempDir)` Provides a way to set a directory for temporary files.
`boolean` | `SUCCEEDED()` Returns whether the last method was successful or not.
`void` | `unlock()` Unlock the resource, if previously locked by the same principal
`void` | `unlock(java.lang.String lockToken)` Unlock the resource, with the correct locktoken

Method Detail

### delete

    void delete()
                throws DAVException,
                       java.rmi.RemoteException

  Delete the resource

  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getActiveLockFor

    org.apache.webdav.lib.Lock getActiveLockFor(java.lang.String owner)
                                                throws DAVException,
                                                       java.rmi.RemoteException

  Get an active lock, if it exists, for the owner

  Parameters:
    `owner` - The owner for which the lock is being sought
  Returns:
    Lock The lock for this owner if it exists
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getContents

    void getContents(java.io.File fileData)
                     throws DAVException,
                            java.rmi.RemoteException

  Get the content of the resource into a file specified as the parameter

  Parameters:
    `fileData` - The file into which the contents of the resource should be written
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getContents

    byte[] getContents()
                       throws DAVException,
                              java.rmi.RemoteException

  Return the contents of the resource as a byte array

  Returns:
    byte[] The contents of the resource as a byte array
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getContentsAsString

    java.lang.String getContentsAsString()
                                         throws DAVException,
                                                java.rmi.RemoteException

  Return the contents of the resource as a String

  Returns:
    String The contents of the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getContentType

    java.lang.String getContentType()
                                    throws DAVException,
                                           java.rmi.RemoteException

  Return the content type of the content for this resource

  Returns:
    String The content type for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getContentsInputStream

    java.io.InputStream getContentsInputStream()
                                               throws DAVException,
                                                      java.rmi.RemoteException

  Return the content of the resource as a stream

  Returns:
    InputStream The stream representing the content of the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperties

    org.apache.webdav.lib.Property[] getProperties()
                                                   throws DAVException,
                                                          java.rmi.RemoteException

  Get the properties for the resource. This will attempt to find all the properties.

  Returns:
    Property[] An array of properties for this resource.
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperties

    org.apache.webdav.lib.Property[] getProperties(org.w3c.dom.Element[] propNames)
                                                   throws DAVException,
                                                          java.rmi.RemoteException

  Get the property values for the properties specified in the parameter

  Parameters:
    `propNames` - An array of elements representing WebDAV property names
  Returns:
    Property[] The property values requested
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperty

    org.apache.webdav.lib.Property[] getProperty(org.w3c.dom.Element propName)
                                                 throws DAVException,
                                                        java.rmi.RemoteException

  Get the property values for the properties specified in the parameter

  Parameters:
    `propName` - An element representing WebDAV property name
  Returns:
    Property[] The property values requested
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperties

    org.apache.webdav.lib.Property[] getProperties(PropertyName[] propNames)
                                                   throws DAVException,
                                                          java.rmi.RemoteException

  Get the property values for the properties specified in the parameter

  Parameters:
    `propNames` - An array of PropertyName objects representing WebDAV property names
  Returns:
    Property[] The property values requested
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperty

    org.apache.webdav.lib.Property[] getProperty(java.lang.String propName)
                                                 throws DAVException,
                                                        java.rmi.RemoteException

  Get the property value for the property specified in the parameter

  Parameters:
    `propName` - A string representing a WebDAV property name
  Returns:
    Property[] The property values requested
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getProperty

    org.apache.webdav.lib.Property[] getProperty(PropertyName propName)
                                                 throws DAVException,
                                                        java.rmi.RemoteException

  Get the property value for the property specified in the parameter

  Parameters:
    `propName` - A ProrpertyName object representing a WebDAV property name
  Returns:
    Property The property value requested
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getPropertyNames

    org.apache.webdav.lib.Property[] getPropertyNames()
                                                      throws DAVException,
                                                             java.rmi.RemoteException

  Get all the property names on the resource

  Returns:
    Property[] A property array containing the names of all the properties on the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getStatusCode

    int getStatusCode()
                      throws DAVException,
                             java.rmi.RemoteException

  Get the status code for the last operation/method

  Returns:
    int The status code for the last request on the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getStatusMessage

    java.lang.String getStatusMessage()
                                      throws DAVException,
                                             java.rmi.RemoteException

  Get the message associated with the status code for the last operation/method

  Returns:
    String The status message for the last request on the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getURL

    java.net.URL getURL()
                        throws DAVException,
                               java.rmi.RemoteException

  Get the URL that the resource represents

  Returns:
    URL The java.net.URL for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### isCollection

    boolean isCollection()
                         throws DAVException,
                                java.rmi.RemoteException

  Is this resource a collection?

  Returns:
    boolean True if it is a collection, false otherwise
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### isLocked

    boolean isLocked()
                     throws DAVException,
                            java.rmi.RemoteException

  Is this resource locked?

  Returns:
    boolean True if it is locked, false otherwise
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### lock

    java.lang.String lock()
                          throws DAVException,
                                 java.rmi.RemoteException

  Lock this resource

  Returns:
    String The lock token if the resource is successfully locked
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### move

    DAVResource move(java.lang.String targetUrl)
                     throws DAVException,
                            java.rmi.RemoteException

  Move this resource to the location given in the parameter

  Parameters:
    `targetUrl` - The destination URL for this copy
  Returns:
    DAVResource A DAVResource that represents the new resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### removeProperties

    void removeProperties(PropertyName[] propNames)
                          throws DAVException,
                                 java.rmi.RemoteException

  Remove the properties specified in the parameter

  Parameters:
    `propNames` - An array of property names that should be removed
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### removeProperties

    void removeProperties(org.w3c.dom.Element[] propNames)
                          throws DAVException,
                                 java.rmi.RemoteException

  Remove the properties specified in the parameter

  Parameters:
    `propNames` - An array of property names that should be removed
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### removeProperty

    void removeProperty(org.w3c.dom.Element propName)
                        throws DAVException,
                               java.rmi.RemoteException

  Remove the property specified in the parameter

  Parameters:
    `propName` - The name of a property that should be removed from this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### removeProperty

    void removeProperty(java.lang.String propName)
                        throws DAVException,
                               java.rmi.RemoteException

  Remove the property specified in the parameter

  Parameters:
    `propName` - The name of a property that should be removed from this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### removeProperty

    void removeProperty(PropertyName propName)
                        throws DAVException,
                               java.rmi.RemoteException

  Remove the property specified in the parameter

  Parameters:
    `propName` - The name of a property that should be removed from this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setContents

    void setContents(byte[] contents)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the contents of the resource, passing in a byte array

  Parameters:
    `contents` - The byte array containing the content for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setContents

    void setContents(java.net.URL url)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the contents of the resource, passing in a URL

  Parameters:
    `url` - A url that represents the content for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setContents

    void setContents(java.lang.String content)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the contents of the resource, passing in a URL

  Parameters:
    `content` - The string containing the content for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setContents

    void setContents(java.io.InputStream is)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the contents of the resource from an input stream. For remote deployment the InputStream should be wrapped in an `InputStreamAdapter`

  Parameters:
    `is` - An input stream representing the content for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setContentType

    void setContentType(java.lang.String contentType)
                        throws DAVException,
                               java.rmi.RemoteException

  Set the contents type for the content of the resource

  Parameters:
    `contentType` - The content type for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setProperties

    void setProperties(org.w3c.dom.Element[] props)
                       throws DAVException,
                              java.rmi.RemoteException

  Set the values of properties, as given in the parameter

  Parameters:
    `props` - An array of properties to be set on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setProperties

    void setProperties(PropertyName[] propNames,
                       java.lang.String[] props)
                       throws DAVException,
                              java.rmi.RemoteException

  Set the values of properties, as given in the parameter

  Parameters:
    `propNames` - An array of property names to be set on this resource
    `props` - An array of property values to be set on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setProperties

    void setProperties(org.w3c.dom.DocumentFragment props)
                       throws DAVException,
                              java.rmi.RemoteException

  Set the values of properties, as given in the parameter

  Parameters:
    `props` - An XML document fragment that defines the properties to be set on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setProperty

    void setProperty(PropertyName propName,
                     java.lang.String prop)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the value of a property, as given in the parameter

  Parameters:
    `propName` - An property name to be set on this resource
    `prop` - A property value to be set on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setProperty

    void setProperty(org.w3c.dom.Element prop)
                     throws DAVException,
                            java.rmi.RemoteException

  Set the value of a property, as given in the parameter

  Parameters:
    `prop` - An XML element that represents a property to be set on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### unlock

    void unlock()
                throws DAVException,
                       java.rmi.RemoteException

  Unlock the resource, if previously locked by the same principal

  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### unlock

    void unlock(java.lang.String lockToken)
                throws DAVException,
                       java.rmi.RemoteException

  Unlock the resource, with the correct locktoken

  Parameters:
    `lockToken` - The lock token for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getOverwrite

    boolean getOverwrite()
                         throws DAVException,
                                java.rmi.RemoteException

  Get the overwrite flag - can this resource be overwritten

  Returns:
    boolean True if the overwrite flag is set, false otherwise
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setOverwrite

    void setOverwrite(boolean overwrite)
                      throws DAVException,
                             java.rmi.RemoteException

  Set the overwrite flag - can this resource be overwritten

  Parameters:
    `overwrite` - The value of the overwrite flag to set on the resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setDepth

    void setDepth(int depth)
                  throws DAVException,
                         java.rmi.RemoteException

  Set the depth that will be used for the following operations DEPTH_0, DEPTH_1 and DEPTH_INFINITY from DepthSupport are valid values

  Parameters:
    `depth` - The depth for operations on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getDepth

    int getDepth()
                 throws DAVException,
                        java.rmi.RemoteException

  Get the current depth value

  Returns:
    depth The depth for operations on this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### search

    org.apache.webdav.lib.Property[] search(java.lang.String searchString)
                                            throws DAVException,
                                                   java.rmi.RemoteException

  Using the search query provided as a string, perform the search on this server

  Parameters:
    `searchString` - A string containing an XML DASL search request
  Returns:
    Property[] A list of properties from the resources that satisfied the search criteria
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### search

    org.apache.webdav.lib.Property[] search(org.w3c.dom.Element searchQuery)
                                            throws DAVException,
                                                   java.rmi.RemoteException

  Using the XML representation of the search query, perform the search on the server

  Parameters:
    `searchQuery` - An XML document containing a DASL search request
  Returns:
    Property[] A list of properties from the resources that satisfied the search criteria
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### close

    void close()
               throws java.rmi.RemoteException

  Close the socket used for this connection. This can be useful for servers that have a limit on the number of connections (eg. IIS), and provides a way to control network resources.

  Throws:
    `java.rmi.RemoteException` - in the event of network failure.

### setTempDir

    void setTempDir(java.lang.String tempDir)
                    throws java.rmi.RemoteException

  Provides a way to set a directory for temporary files. The `java.io.tmp` system property can be used to set this value at JVM invocation. If the system property is not set "/temp/" is the default, but can be overridden with this method.

  Parameters:
    `tempDir` - Temp directory for temporary files
  Throws:
    `java.rmi.RemoteException` - in the event of network failure.

### getTempDir

    java.lang.String getTempDir()
                                throws java.rmi.RemoteException

  Returns the current setting for the directory for temporary files

  Returns:
    String The temp directory for temporary files
  Throws:
    `java.rmi.RemoteException` - in the event of network failure.

### exists

    boolean exists()
                   throws java.rmi.RemoteException

  Returns whether the resource exists or not

  Returns:
    boolean true if resource exists, false otherwise
  Throws:
    `java.rmi.RemoteException` - in the event of network failure.

### report

    org.apache.webdav.lib.Property[] report(java.lang.String reportBody)
                                            throws DAVException,
                                                   java.rmi.RemoteException

  Run a report on the current resource. The report body is the body of the request sent to the server, using the REPORT method.

  Parameters:
    `reportBody` - An XML document string that represents the report request
  Returns:
    Property[]. A list of the results from the report.
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### getACL

    java.lang.String getACL()
                            throws DAVException,
                                   java.rmi.RemoteException

  Get the Access Control List for this resource.

  Returns:
    String An XML serialized document describing the ACL for this resource
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setACL

    java.lang.String setACL(java.lang.String acl)
                            throws DAVException,
                                   java.rmi.RemoteException

  Set/Update the Access Control List for this resource.

  Parameters:
    `acl` - An XML serialized document describing the ACL for this resource
  Returns:
    Document The result document from the ACL method
  Throws:
    `DAVException` - in the event of a WebDAV failure.
    `java.rmi.RemoteException` - in the event of network failure.

### setSessionContext

    void setSessionContext(java.lang.Object sessionContext)
                           throws java.rmi.RemoteException

  Deprecated. This method is no longer useful.

  Set the session context for this DAVResource.

  Parameters:
    `sessionContext` - The session context for this DAVResource
  Throws:
    `java.rmi.RemoteException` - in the event of network failure.

### getPath

    java.lang.String getPath()
                             throws java.rmi.RemoteException

  Get the path for the WebDAV resource that is currently represented by this DAVResource

  Returns:
    String The current path for this WebDAV resource
  Throws:
    `java.rmi.RemoteException` - in the event of a network failure

### setPath

    void setPath(java.lang.String path)
                 throws java.rmi.RemoteException

  Set the path for this resource. If the resource was originally created as http://server/origpath, then calling this method will change the resource path to http://server/path. This allows the same DAVResource object to be used for any WebDAV resource.

  Parameters:
    `path` - The new path for the WebDAV resource
  Throws:
    `java.rmi.RemoteException` - in the event of a network failure

### setEscapedPath

    void setEscapedPath(java.lang.String escapedPath)
                        throws java.rmi.RemoteException

  Set the path for this resource using an escaped string. If the resource was originally created as http://server/origpath, then calling this method will change the resource path to http://server/path. This allows the same DAVResource object to be used for any WebDAV resource. If the path is not escaped, use setPath instead.

  Parameters:
    `path` - The new encoded path for the WebDAV resource
  Throws:
    `java.rmi.RemoteException`

### setPathNoAction

    void setPathNoAction(java.lang.String path)
                         throws java.rmi.RemoteException

  Set the path for this resource. If the resource was originally created as http://server/origpath, then calling this method will change the resource path to http://server/path. This allows the same DAVResource object to be used for any WebDAV resource.

  Parameters:
    `path` - The new path for the WebDAV resource
  Throws:
    `java.rmi.RemoteException` - in the event of a network failure

### makeCollection

    boolean makeCollection()
                           throws DAVException,
                                  java.rmi.RemoteException

  Make a collection. This method only works on a null resource (one that doesn't exist yet). One would normally call this method immediately after creating the DAVResource.

  Returns:
    boolean True is make collection successful, false otherwise
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### SUCCEEDED

    boolean SUCCEEDED()
                      throws java.rmi.RemoteException

  Returns whether the last method was successful or not. The HTTP status codes in the range 200-299 are successful. All others indicate some sort of unsuccessful attempt.

  Returns:
    boolean - true if last method was successful, false otherwise
  Throws:
    `java.rmi.RemoteException` - in the case of network failures

### getProperties

    org.apache.webdav.lib.Property[] getProperties(java.lang.String propNames)
                                                   throws DAVException,
                                                          java.rmi.RemoteException

  Returns a properties for a given set of property names.

  Parameters:
    `propNames` - names of properties for which values should be returned
  Returns:
    Array of DAV properties
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### copy

    DAVResource copy(java.lang.String targetUrl)
                     throws DAVException,
                            java.rmi.RemoteException

  Copy resource to the target destination

  Parameters:
    `targetUrl` - location to which current resource is to be copied.
  Returns:
    If successful, then a new DAVResource representing the new destination is created and returned
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### doControl

    void doControl()
                   throws DAVException,
                          java.rmi.RemoteException

  Puts the resource until version control.

  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### doLabel

    void doLabel(int labelAction,
                 java.lang.String label)
                 throws DAVException,
                        java.rmi.RemoteException

  Modify the version label on the resource (if this is supported by the server).

  Parameters:
    `labelAction` - Specify whether the label should be set (specify 1), added (specify 2), removed (specify 3)
    `label` - The value of the label
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getPreviousVersionNames

    java.util.List getPreviousVersionNames()
                                           throws DAVException,
                                                  java.rmi.RemoteException

  Gets a list of previous version names for this resource.

  Returns:
    List(String) The version names for this resource
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### doCheckout

    void doCheckout()
                    throws DAVException,
                           java.rmi.RemoteException

  Checks out this resource.

  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### doCheckin

    void doCheckin()
                   throws DAVException,
                          java.rmi.RemoteException

  Check in this resource.

  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### doUncheckout

    void doUncheckout()
                      throws DAVException,
                             java.rmi.RemoteException

  Uncheckout this resource, cancelling a previous checkout.

  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getVersion

    com.sas.services.webdav.Version getVersion(java.lang.String versionName)
                                               throws DAVException,
                                                      java.rmi.RemoteException

  Gets a particular version of this resource

  Parameters:
    `versionName` - Which version to retrieve for this resource
  Returns:
    Version An object describing the version of this resource
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getCheckedIn

    com.sas.services.webdav.Version getCheckedIn()
                                                 throws DAVException,
                                                        java.rmi.RemoteException

  Retrieves the currently checked in resource.

  Returns:
    Version An object describing the version that is checked in
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getCheckedOut

    com.sas.services.webdav.Version getCheckedOut()
                                                  throws DAVException,
                                                         java.rmi.RemoteException

  Retrieves the currently checked out resource.

  Returns:
    Version An object describing the version that is checked out
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### setExistsRequirement

    void setExistsRequirement(int requirement)
                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getExistsRequirement

    int getExistsRequirement()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getSupportedPrivilegeSet

    com.sas.services.webdav.TreeNode getSupportedPrivilegeSet()
                                                              throws DAVException,
                                                                     java.rmi.RemoteException

  Get a list of privileges that apply to this resource.

  Returns:
    Map (of Privileges) The supported privilege set for this resource
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getCurrentUserPrivilegeSet

    java.util.Set getCurrentUserPrivilegeSet()
                                             throws DAVException,
                                                    java.rmi.RemoteException

  Get a the current list of privileges this user has for this resource.

  Returns:
    Set (of Privileges) The privileges the user has for this resource
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getAcl

    com.sas.services.webdav.Acl getAcl()
                                       throws DAVException,
                                              java.rmi.RemoteException

  Get a the access control list for this resource.

  Returns:
    Acl The access control list for this resource
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### setAcl

    java.lang.String setAcl(com.sas.services.webdav.Acl acl)
                            throws DAVException,
                                   java.rmi.RemoteException

  Set the access control list for this resource.

  Parameters:
    `acl` - The access control list to set for this resource
  Returns:
    String The string representation of the access control list
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### getChildrenList

    java.util.List getChildrenList(java.lang.String path)
                                   throws DAVException,
                                          java.rmi.RemoteException

  Get a list of children. If this is not a collection, or is an empty collection the returned list will be empty. Otherwise, it will contain the path for each child in the collection.

  Parameters:
    `path` - The path of the resource
  Returns:
    List (of String) The paths for the children
  Throws:
    `DAVException` - in the case of a WebDAV error
    `java.rmi.RemoteException` - in the case of network failures

### setCredentialsProvider

    void setCredentialsProvider(org.apache.commons.httpclient.auth.CredentialsProvider credentialsProvider)

  Sets a credentials provider. When authentication has failed, the credentials provider is called to provide a set of credentials for authentication. This allows an external agent to provide credentials when original credentials no longer work eg. one-time passwords.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.